[Pkg-shadow-commits] r817 - trunk/debian

Nicolas FRANCOIS nekral-guest at costa.debian.org
Sat Jan 21 18:06:05 UTC 2006


Author: nekral-guest
Date: 2006-01-21 18:06:04 +0000 (Sat, 21 Jan 2006)
New Revision: 817

Modified:
   trunk/debian/recode_manpages.sh
   trunk/debian/rules
Log:
Recode the man pages to the charset needed by Debian's man-db.


Modified: trunk/debian/recode_manpages.sh
===================================================================
--- trunk/debian/recode_manpages.sh	2006-01-20 21:25:26 UTC (rev 816)
+++ trunk/debian/recode_manpages.sh	2006-01-21 18:06:04 UTC (rev 817)
@@ -1,5 +1,11 @@
 #!/bin/sh
 
+PACKAGE=$1
+[ -z "$PACKAGE" ] && {
+    echo "Usage: $0 <package>"
+    exit 1
+}
+
 # Upstream man pages are UTF-8encoded.
 # The man pages need to be recoded according to the encodings used in Debian.
 # (defined in src/encodings.c in man-db)
@@ -28,7 +34,7 @@
 while read lang encoding
 do
     echo "recoding lang: $lang to $encoding"
-    for page in debian/tmp/usr/share/man/$lang/man[1-8]/*
+    for page in debian/$PACKAGE/usr/share/man/$lang/man[1-8]/*
     do
         echo "recoding $page"
         iconv -t $encoding -f UTF8 < $page > $page.recoded

Modified: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2006-01-20 21:25:26 UTC (rev 816)
+++ trunk/debian/rules	2006-01-21 18:06:04 UTC (rev 817)
@@ -44,6 +44,7 @@
 else
 	install -c -m 444 debian/login.defs debian/login/etc/login.defs
 endif
+	/bin/sh ./debian/recode_manpages.sh login
 
 binary-install/passwd::
 	# Bug #288106. This used to be renamed to limits.conf.5
@@ -71,6 +72,7 @@
 	install -c -m 444  debian/passwd.lintian-overrides debian/passwd/usr/share/lintian/overrides/passwd
 	# Linda overrides files
 	install -c -m 444  debian/passwd.linda-overrides debian/passwd/usr/share/linda/overrides/passwd
+	/bin/sh ./debian/recode_manpages.sh passwd
 
 binary-install/login::
 ifeq ($(DEB_HOST_ARCH_OS),hurd)




More information about the Pkg-shadow-commits mailing list